<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <form action="">
        <input type="text" id="n1">
        <input type="text" id="n2">
        <input type="button" value="suma" onclick="alert(suma(n1,n2));">
    </form>
    <script>
        var suma = function(n1,n2){
            var n1=parseFloat(document.getElementById("n1").value);
            var n2=parseFloat(document.getElementById("n2").value);
            var resultado=n1+ n2;
            return resultado;
        }
    </script>
</body>
</html>